# general info
NAME="less"
DESC="Free, open-source file pager"
VERSION="661"

# required files
FILES=("https://www.greenwoodsoftware.com/less/less-${VERSION}.tar.gz")
HASHES=("2b5f0167216e3ef0ffcb0c31c374e287eb035e4e223d5dae315c2783b6e738ed")

# install and build depends
DEPENDS=("glibc" "pcre2" "ncurses")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr --sysconfdir=/etc
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
