# general info
NAME="libcap"
DESC="Userspace interface to the POSIX 1003.1e capabilities available in Linux kernels"
VERSION="2.70"

# required files
FILES=("https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/libcap-${VERSION}.tar.xz")
HASHES=("4e0bf0efeccb654c409afe9727b2b53c1d4da8190d7a0a9848fc52550ff3e13502add3eacde04a68a5b7bec09e91df487f64c5746ba987f873236a9e53b3d4e8")

# install and build depends
DEPENDS=("gcc-libs" "glibc" "linux-pam")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  sed -i '/install -m.*STA/d' libcap/Makefile
  make prefix=/usr lib=lib
  make DESTDIR="${ROOTDIR}" prefix=/usr lib=lib install

  cd .. && rm -r "${NAME}-${VERSION}"
}
