# general info
NAME="libmp"
DESC="MatterLinux package management library"
VERSION="24.02"

# required files
FILES=("https://git.matterlinux.xyz/Matter/libmp/archive/${VERSION}.tar.gz")
HASHES=("d0d562b766221ed0550c1f6854d3afbf0a12d48c68258fd5fd15033d758c1a91")

# install and build depends
DEPENDS=(
  "openssl" "libarchive" "libinih"
  "sqlite3" "gpgme" "gettext"
)
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/lib"
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
