# general info
NAME="matt"
DESC="The (new) MatterLinux package manager"
VERSION="24.00"

# required files
FILES=("https://git.matterlinux.xyz/Matter/matt/archive/${VERSION}.tar.gz")
HASHES=("b2099575fdc14506c57dcaafbdb9a1bc207687e70eb26511e0aceb881ba54eaa")

# install and build depends
DEPENDS=("libmp" "libinih" "gettext")
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/bin"
  install -Ddm755 "${ROOTDIR}/etc"

  make DESTDIR="${ROOTDIR}" install
  make DESTDIR="${ROOTDIR}" config

  cd .. && rm -r "${NAME}"
}
