# general info
NAME="mpfr"
DESC="Functions for multiple precision math"
VERSION="4.2.1"

# required files
FILES=("https://ftp.gnu.org/gnu/mpfr/mpfr-${VERSION}.tar.xz")
HASHES=("277807353a6726978996945af13e52829e3abd7a9a5b7fb2793894e18f1fcbb2")

# install and build depends
DEPENDS=("glibc" "gmp")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr      \
            --disable-static     \
            --enable-thread-safe \
            --docdir="/usr/share/doc/mpfr-${VERSION}"

  make && make html

  make DESTDIR="${ROOTDIR}" install
  make DESTDIR="${ROOTDIR}" install-html

  cd .. && rm -r "${NAME}-${VERSION}"
}
