# general info
NAME="nghttp2"
DESC="HTTP/2 C Library and tools"
VERSION="1.62.1"

# required files
FILES=("https://github.com/nghttp2/nghttp2/archive/refs/tags/v${VERSION}.tar.gz")
HASHES=("73c8af772dd2b30cedc114d37291cf1485b0a7ce11833595fc2aec7b3ce3ba5c")

# install and build depends
DEPENDS=("glibc" "libxml2")
BUILD=()

PACKAGE(){
  tar xf "v${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  autoreconf -i
  ./configure --prefix=/usr   \
            --disable-static  \
            --enable-lib-only \
            --docdir="/usr/share/doc/nghttp2-${VERSION}"
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
