# general info
NAME="npth"
DESC="New GNU portable threads library"
VERSION="1.7"

# required files
FILES=("https://www.gnupg.org/ftp/gcrypt/npth/npth-${VERSION}.tar.bz2")
HASHES=("8589f56937b75ce33b28d312fccbf302b3b71ec3f3945fde6aaa74027914ad05")

# install and build depends
DEPENDS=("bash" "glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
