# general info
NAME="pypa-build"
DESC="Simple and correct python build frontend"
VERSION="1.2.1"

# required files
FILES=("https://github.com/pypa/build/archive/refs/tags/${VERSION}.tar.gz")
HASHES=("571fbbcd187eed0e7af47dd49e8f25ab22fb9cfbde5ed1daea67c5187dad9df6")

# install and build depends
DEPENDS=("python3" "pypa-packaging")
BUILD=()

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "build-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "build-${VERSION}"
}
