# general info
NAME="pypa-wheel"
DESC="Official binary distribution format for Python "
VERSION="0.42.0"

# required files
FILES=("https://pypi.org/packages/source/w/wheel/wheel-${VERSION}.tar.gz")
HASHES=("802ad6e5f9336fcb1c76b7593f0cd22d")

# install and build depends
DEPENDS=("pypa-packaging" "pypi-flit-core" "python3")
BUILD=()

PACKAGE(){
  tar xf "wheel-${VERSION}.tar.gz"
  cd "wheel-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "wheel-${VERSION}"
}
