# general info
NAME="pypi-jinja2"
DESC="Fast, expressive, extensible templating engine"
VERSION="3.1.3"

# required files
FILES=("https://pypi.org/packages/source/J/Jinja2/Jinja2-${VERSION}.tar.gz")
HASHES=("caf5418c851eac59e70a78d9730d4cea")

# install and build depends
DEPENDS=("python3" "pypi-markupsafe")
BUILD=("pypi-flit-core")

PACKAGE(){
  tar xf "Jinja2-${VERSION}.tar.gz"
  cd "Jinja2-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "Jinja2-${VERSION}"
}
