# general info
NAME="tar"
DESC="Create tar archives as well as perform various other kinds of archive manipulation"
VERSION="1.35"

# required files
FILES=("https://ftp.gnu.org/gnu/tar/tar-${VERSION}.tar.xz")
HASHES=("a2d8042658cfd8ea939e6d911eaf4152")

# install and build depends
DEPENDS=("acl" "glibc")
BUILD=("attr")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  FORCE_UNSAFE_CONFIGURE=1 ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install
  make -C doc DESTDIR="${ROOTDIR}" install-html docdir="/usr/share/doc/tar-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
