# general info
NAME="texinfo"
DESC="Programs for reading, writing, and converting info pages"
VERSION="7.1"

# required files
FILES=("https://ftp.gnu.org/gnu/texinfo/texinfo-${VERSION}.tar.xz")
HASHES=("edd9928b4a3f82674bcc3551616eef3b")

# install and build depends
DEPENDS=("gzip" "ncurses" "perl" "bash")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install
  make DESTDIR="${ROOTDIR}" TEXMF=/usr/share/texmf install-tex

  cd .. && rm -r "${NAME}-${VERSION}"
}
