# general info
NAME="xml-parser"
DESC=" Perl module for parsing XML documents"
VERSION="2.47"

# required files
FILES=("https://search.cpan.org/CPAN/authors/id/T/TO/TODDR/XML-Parser-${VERSION}.tar.gz")
HASHES=("3f9de53341bc85b87c88ad31e04b13f1f95516eec0d7e5fd1c1a3b3e66a91ca3d4de7c649978599219a4d4372f6218764ab5e1805b7155b5ca200006e1b0908f")

# install and build depends
DEPENDS=("perl" "expat")
BUILD=()

PACKAGE(){
  tar xf "XML-Parser-${VERSION}.tar.gz"
  cd "XML-Parser-${VERSION}"

  perl Makefile.PL
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "XML-Parser-${VERSION}"
}
