# general info
NAME="zlib"
DESC="Free, general-purpose, legally unencumbered lossless data-compression library"
VERSION="1.3.1"

# required files
FILES=("https://zlib.net/fossils/zlib-${VERSION}.tar.gz")
HASHES=("9855b6d802d7fe5b7bd5b196a2271655")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make && make DESTDIR="${ROOTDIR}" install
  rm -f "${ROOTDIR}/usr/lib/libz.a"

  cd .. && rm -r "${NAME}-${VERSION}"
}
