# general info
NAME="gperf"
DESC="Perfect hash function generator"
VERSION="3.1"

# required files
FILES=("https://ftp.gnu.org/gnu/gperf/gperf-${VERSION}.tar.gz")
HASHES=("9e251c0a618ad0824b51117d5d9db87e")

# install and build depends
DEPENDS=("gcc-libs" "glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr --docdir="/usr/share/doc/gperf-${VERSION}"
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
