# general info
NAME="intltool"
DESC="Utility scripts for internationalizing XML"
VERSION="0.51.0"

# required files
FILES=("https://launchpad.net/intltool/trunk/${VERSION}/+download/intltool-${VERSION}.tar.gz")
HASHES=("12e517cac2b57a0121cda351570f1e63")

# install and build depends
DEPENDS=("xml-parser")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  sed -i 's:\\\${:\\\$\\{:' intltool-update.in
  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install
  install -v -Dm644 doc/I18N-HOWTO "${ROOTDIR}/usr/share/doc/intltool-${VERSION}/I18N-HOWTO"

  cd .. && rm -r "${NAME}-${VERSION}"
}
