# general info
NAME="iproute2"
DESC="Routing commands and utilities"
VERSION="6.7.0"

# required files
FILES=("https://www.kernel.org/pub/linux/utils/net/iproute2/iproute2-${VERSION}.tar.xz")
HASHES=("35d8277d1469596b7edc07a51470a033")

# install and build depends
DEPENDS=("glibc" "libcap" "libelf")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  sed -i /ARPD/d Makefile
  rm -fv man/man8/arpd.8

  make NETNS_RUN_DIR=/run/netns
  make DESTDIR="${ROOTDIR}" SBINDIR=/usr/sbin install

  install -dm755        "${ROOTDIR}/usr/share/doc/iproute2-${VERSION}"
  cp -v COPYING README* "${ROOTDIR}/usr/share/doc/iproute2-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
