# general info
NAME="libtasn1"
DESC="ASN.1 library"
VERSION="4.19.0"

# required files
FILES=("https://ftp.gnu.org/gnu/libtasn1/libtasn1-${VERSION}.tar.gz")
HASHES=("f701ab57eb8e7d9c105b2cd5d809b29a")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr --disable-static
  make
  make DESTDIR="${ROOTDIR}" install
  make DESTDIR="${ROOTDIR}" -C doc/reference install-data-local

  cd .. && rm -r "${NAME}-${VERSION}"
}
