# general info
NAME="libunistring"
DESC="Functions for manipulating Unicode strings"
VERSION="1.2"

# required files
FILES=("https://ftp.gnu.org/gnu/libunistring/libunistring-${VERSION}.tar.xz")
HASHES=("632bd65ed74a881ca8a0309a1001c428bd1cbd5cd7ddbf8cedcd2e65f4dcdc44")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr  \
            --disable-static \
            --docdir="/usr/share/doc/libunistring-${VERSION}"
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
