# general info
NAME="libxcrypt"
DESC="Extended crypt library for descrypt, md5crypt, bcrypt, and others"
VERSION="4.4.36"

# required files
FILES=("https://github.com/besser82/libxcrypt/releases/download/v${VERSION}/libxcrypt-${VERSION}.tar.xz")
HASHES=("b84cd4104e08c975063ec6c4d0372446")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr              \
            --enable-hashes=strong,glibc \
            --enable-obsolete-api=no     \
            --disable-static             \
            --disable-failure-tokens
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
