# general info
NAME="pypi-flit-core"
DESC="Distribution-building parts of Flit"
VERSION="3.9.0"

# required files
FILES=("https://pypi.org/packages/source/f/flit-core/flit_core-${VERSION}.tar.gz")
HASHES=("3bc52f1952b9a78361114147da63c35b")

# install and build depends
DEPENDS=("glibc" "python3")
BUILD=()

PACKAGE(){
  tar xf "flit_core-${VERSION}.tar.gz"
  cd "flit_core-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "flit_core-${VERSION}"
}
